try:
    from setuptools import setup, find_packages
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

setup(
    name='ddportfolioservice',
    version='0.1',
    description='service to create DDPortfolio URLs',
    long_description="""This is a service implementation that
returns a set of personalized URLs as outlined in
http://wiki.debian.org/DDPortfolio. It takes the Debian developers
full name and email address as input and returns a JSON formatted
array of URLs.""",
    # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=['Development Status :: 3 - Alpha',
                 'Environment :: Web Environment',
                 'License :: DFSG approved',
                 'License :: OSI approved :: ' +
                 'GNU Affero General Public License v3',
                 'Programming Language :: Python'],
    keywords='Debian service JSON',
    author='Jan Dittberner',
    author_email='jan@dittberner.info',
    url='http://debian-stuff.dittberner.info/ddportfolioservice',
    license='AGPL-3.0+',
    install_requires=["Pylons>=0.9.6.2"],
    packages=find_packages(exclude=['ez_setup']),
    include_package_data=True,
    test_suite='nose.collector',
    package_data={'ddportfolioservice': ['*.ini', 'i18n/*/LC_MESSAGES/*.mo']},
    message_extractors = {'ddportfolioservice': [
            ('**.py', 'python', None),
            ('templates/**.mako', 'mako', None),
            ('public/**', 'ignore', None)]},
    entry_points="""
    [paste.app_factory]
    main = ddportfolioservice.config.middleware:make_app

    [paste.app_install]
    main = pylons.util:PylonsInstaller
    """,
)
